Subject: Re: [Mip6] I-D ACTION:draft-ietf-mip6-mipext-advapi-04.txt

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 16 Sep 2005 11:11:54 -0700 (PDT)

> In section 2.5 "New ICMP Messages for Mobile IPv6" (Page 12),
> the document says:
> 
>      struct mip6_prefix_advert {    /* Mobile Prefix Adverisements */
>             struct  icmp6_hdr   mip6_pa_hdr;
>              /* Followed by one or more PI options */
>      };
> 
>      #define  mip6_pa_type            mip6_pa_hdr.icmp6_type
>      #define  mip6_pa_code            mip6_pa_hdr.icmp6_code
>      #define  mip6_pa_cksum           mip6_pa_hdr.icmp6_cksum
>      #define  mip6_pa_id              mip6_pa_hdr.icmp6_data16[0]
>      #define  mip6_pa_flags_reserved  mip6_pa_hdr.icmp6_data16[1]
> 
>      #define  MIP6_PA_FLAG_MANAGED    0x8000
>      #define  MIP6_PA_FLAG_OTHER      0x4000
> 
> Because MIP6_PA_FLAG_MANAGED and/or MIP6_PA_FLAG_OTHER are used
> for 16-bit-wide field (mip6_pa_flags_reserved), I believe that
> their definitions should be fixed as follows:
> 
>      #if      BYTE_ORDER == BIG_ENDIAN
>      #define  MIP6_PA_FLAG_MANAGED    0x8000
>      #define  MIP6_PA_FLAG_OTHER      0x4000
>      #else    /* BYTE_ORDER == LITTLE_ENDIAN */
>      #define  MIP6_PA_FLAG_MANAGED    0x0080
>      #define  MIP6_PA_FLAG_OTHER      0x0040
>      #endif
> 
> like other definitions (e.g. ND_NA_FLAG_xxx).

The draft says that the data structures are in network byte order.
But, we will make the above suggested change to match RFC3542
defines.

Thanks,
-Samita

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: YOSHIFUJI Hideaki / 吉藤英明<[email-masked]>
Date: Thu, 22 Sep 2005 19:02:28 +0900 (JST)

> But, we will make the above suggested change to match RFC3542

IP6_MH_BU_{ACK,HOME,LLOCAL,KEYM} have similar issue.
I don't expect that you're going use htons() to store ip6mhbu_flags.
Would you solve them as well, please?
(If you ever intend to use htons() here, please clarify...)

Thank you.

-- 
YOSHIFUJI Hideaki @ USAGI Project  <[email-masked]>
GPG-FP  : 9022 65EB 1ECF 3AD1 0BDF  80D8 4807 F894 E062 0EEA